Package com.independentsoft.office.spreadsheet

# Class Scenario

java.lang.Object
com.independentsoft.office.spreadsheet.Scenario

public class Scenario extends Object
The Class Scenario.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Scenario()`
  Instantiates a new scenario.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Scenario`
  `clone()`
  `String`
  `getComment()`
  Gets the comment.
  `List<InputCell>`
  `getInputCells()`
  Gets the input cells.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getUser()`
  Gets the user.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isLocked()`
  Checks if is locked.
  `void`
  `setComment​(String comment)`
  Sets the comment.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setLocked​(boolean isLocked)`
  Sets the locked.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setUser​(String user)`
  Sets the user.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Scenario

    public Scenario()
    Instantiates a new scenario.

- ## Method Details

  - ### clone

    public Scenario clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getInputCells

    public List<InputCell> getInputCells()
    Gets the input cells.
    Returns:
      the input cells

  - ### getComment

    public String getComment()
    Gets the comment.
    Returns:
      the comment

  - ### setComment

    public void setComment​(String comment)
    Sets the comment.
    Parameters:
      `comment` - the new comment

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden

  - ### isLocked

    public boolean isLocked()
    Checks if is locked.
    Returns:
      true, if is locked

  - ### setLocked

    public void setLocked​(boolean isLocked)
    Sets the locked.
    Parameters:
      `isLocked` - the new locked

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getUser

    public String getUser()
    Gets the user.
    Returns:
      the user

  - ### setUser

    public void setUser​(String user)
    Sets the user.
    Parameters:
      `user` - the new user